# Uses of Interface
org.apache.sling.installer.api.tasks.TaskResourceGroup

Packages that use TaskResourceGroup
Package
Description
org.apache.sling.installer.api.tasks

## Uses of TaskResourceGroup in org.apache.sling.installer.api.tasks

Methods in org.apache.sling.installer.api.tasks that return TaskResourceGroup
Modifier and Type
Method
Description
`TaskResourceGroup`
InstallTask.`getResourceGroup()`
Return the corresponding resource - depending on the task this might be null.
Methods in org.apache.sling.installer.api.tasks with parameters of type TaskResourceGroup
Modifier and Type
Method
Description
`InstallTask`
InstallTaskFactory.`createTask(TaskResourceGroup group)`
Creates an `InstallTask` for the resource or `null` if the factory does not support the resource.
Constructors in org.apache.sling.installer.api.tasks with parameters of type TaskResourceGroup
Modifier
Constructor
Description
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s)`
Change the state of the task
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s, String error)`
Change the state of the task
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s, Map<String,Object> addAttributes, String[] removeAttributes)`
Change the state of the task
``
`ChangeStateTask(TaskResourceGroup r, ResourceState s, Map<String,Object> addAttributes, String[] removeAttributes, String error)`
Change the state of the task
``
`InstallTask(TaskResourceGroup erl)`
Constructor for the task